Loading...
Searching...
No Matches
XrdAccAudit.hh File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdAccAudit

## Enumerations

enum | XrdAccAudit_Options { audit_none = 0 , audit_deny = 1 , audit_grant = 2 , audit_all = 3 }

## Functions

XrdAccAudit * | XrdAccAuditObject (XrdSysError *erp)

## Enumeration Type Documentation

## XrdAccAudit_Options

enum XrdAccAudit_Options

Enumerator
audit_none |
audit_deny |
audit_grant |
audit_all |

Definition at line 37 of file XrdAccAudit.hh.

{audit_none = 0,
audit_deny = 1,
audit_grant = 2,
audit_all = 3
};
audit_grant
@ audit_grant
Definition XrdAccAudit.hh:39
audit_none
@ audit_none
Definition XrdAccAudit.hh:37
audit_deny
@ audit_deny
Definition XrdAccAudit.hh:38
audit_all
@ audit_all
Definition XrdAccAudit.hh:40

## Function Documentation

## XrdAccAuditObject()

XrdAccAudit * XrdAccAuditObject | ( | XrdSysError * | erp | ) |

extern

Definition at line 92 of file XrdAccAudit.cc.

{
static XrdAccAudit AuditObject(erp);
// Simply return the default audit object
//
return &AuditObject;
}
XrdAccAudit
Definition XrdAccAudit.hh:66

Referenced by XrdAccAccess::XrdAccAccess().

Here is the caller graph for this function: